## org.eclipse.datatools.sqltools.core
Class DataTypeStringParser

    java.lang.Object
      org.eclipse.datatools.sqltools.core.DataTypeStringParser

public class DataTypeStringParser
extends java.lang.Object

The parser to parse a data type string.
ATTN: this implementation does not support data type string with space in it, for example, 'long varchar' wont be accepted as a valid type.

Author:
  Dafan Yang

Constructor Summary
`DataTypeStringParser()`

Method Summary
`java.lang.String[]` `parseDatatype(java.lang.String dataType)` Parser the data type string, such as int, varchar(20), numeric(3,5) etc

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTypeStringParser

    public DataTypeStringParser()

Method Detail

### parseDatatype

    public java.lang.String[] parseDatatype(java.lang.String dataType)

  Parser the data type string, such as int, varchar(20), numeric(3,5) etc

  Parameters:
    `dataType` - data type
  Returns:
    Array of data type, length, precision

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.